Bug 1310368 - review request: rubygem-jekyll - A simple, blog aware, static site generator
review request: rubygem-jekyll - A simple, blog aware, static site generator
Status: CLOSED DUPLICATE of bug 1368851
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-20 19:29 EST by John Heidemann
Modified: 2016-10-19 06:07 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-18 11:37:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Heidemann 2016-02-20 19:29:16 EST
SRPM URL: 
rubygem-bibtex-ruby-4.2.0-1.fc23.src.rpm
rubygem-citeproc-1.0.2-1.fc23.src.rpm
rubygem-citeproc-ruby-1.1.0-1.fc23.src.rpm
rubygem-colorator-0.1-1.fc23.src.rpm
rubygem-csl-1.4.3-1.fc23.src.rpm
rubygem-csl-styles-1.0.1.6-1.fc23.src.rpm
rubygem-jekyll-3.1.2-1.fc23.src.rpm
rubygem-jekyll-last-modified-at-0.3.4-1.fc23.src.rpm
rubygem-jekyll-sass-converter-1.4.0-1.fc23.src.rpm
rubygem-jekyll-scholar-5.7.1-1.fc23.src.rpm
rubygem-jekyll-watch-1.3.1-1.fc23.src.rpm
rubygem-latex-decode-0.2.2-1.fc23.src.rpm
rubygem-liquid-3.0.6-1.fc23.src.rpm
rubygem-mercenary-0.3.5-1.fc23.src.rpm
rubygem-namae-0.10.1-1.fc23.src.rpm
rubygem-rouge-1.10.1-1.fc23.src.rpm

all in COPR at https://copr-be.cloud.fedoraproject.org/results/johnh/jekyll/

Description: 
Jekyll is a simple, blog aware, static site generator.
It is widely used on github.

Fedora Account System Username:
johnh

Comments:
This note is to get interest about packaging jekyll.   The SRPMs in COPR work, but have some rpmlint errors about licenses.  Before I do all this niggling cleanup I want to confirm there's interest in seeing this package in the full repositories.
Comment 1 Zbigniew Jędrzejewski-Szmek 2016-02-28 13:57:39 EST
I think there would be interest. I don't use jekyll on a website personally, but often when working on github pages for various projects I was wishing that jekyll could be installed from the distribution. I know I could install it from copr, but it's much simpler to have stuff in the main repos.
Comment 2 John Heidemann 2016-06-13 17:23:15 EDT
I have bumped the versions of all these packages:

rubygem-bibtex-ruby-4.4.0-1.fc23.src.rpm
rubygem-citeproc-1.0.3-1.fc23.src.rpm
rubygem-citeproc-ruby-1.1.2-1.fc23.src.rpm
rubygem-colorator-1.0.0-1.fc23.src.rpm
rubygem-csl-1.4.4-1.fc23.src.rpm
rubygem-csl-styles-1.0.1.7-1.fc23.src.rpm
rubygem-jekyll-3.1.6-1.fc23.src.rpm
rubygem-jekyll-last-modified-at-0.3.4-1.fc23.src.rpm
rubygem-jekyll-redirect-from-0.10.0-1.fc23.src.rpm
rubygem-jekyll-sass-converter-1.4.0-1.fc23.src.rpm
rubygem-jekyll-scholar-5.8.2-1.fc23.src.rpm
rubygem-jekyll-watch-1.4.0-1.fc23.src.rpm
rubygem-latex-decode-0.2.2-1.fc23.src.rpm
rubygem-liquid-3.0.6-1.fc23.src.rpm
rubygem-mercenary-0.3.6-1.fc23.src.rpm
rubygem-namae-0.10.2-1.fc23.src.rpm
rubygem-rouge-1.11.0-1.fc23.src.rpm

in COPR
https://copr-be.cloud.fedoraproject.org/results/johnh

AFIAK they now rpmlint cleanly.  

Can we push these packages into extras?
Comment 3 Dennis Chen 2016-07-20 00:29:24 EDT
This isn't a review request. Each one of those packages needs to undergo it's own package review. I'll be happy to sponsor you and review each one of the individual packages, but please file a separate package review for each of the dependencies and link them to this bugzilla for easy tracking.
Comment 4 John Heidemann 2016-07-21 02:27:35 EDT
Wrt comment#3: thanks.  Yes, I understand.  I swapped mail with another packager who informed me this ticket is incorrect and must be split.  I will try to do this when I have free time (i.e., not the last month :-( ).

You may close out this ticket if you want, or leave it as a placeholder and I will close it out when I resubmit properly.
Comment 5 Dennis Chen 2016-07-27 01:09:48 EDT
> leave it as a placeholder and I will close it out when I resubmit properly.

This would be great. Looking forward to having Jekyll on Fedora.
Comment 6 François Kooman 2016-10-14 11:30:26 EDT
It seems rubygem-jekyll is already in Fedora (24)? It doesn't really seem to work though.

rubygem-jekyll-3.2.1-1.fc24.noarch

Running it:

[fkooman@fralen ~]$ jekyll new foo
New jekyll site installed in /home/fkooman/foo. 
[fkooman@fralen ~]$ cd foo/
[fkooman@fralen foo]$ jekyll serve
/usr/share/gems/gems/bundler-1.10.6/lib/bundler/resolver.rb:347:in `block in verify_gemfile_dependencies_are_found!': Could not find gem 'minima (>= 0) ruby' in any of the gem sources listed in your Gemfile or available on this machine. (Bundler::GemNotFound)
Comment 7 Vít Ondruch 2016-10-18 11:37:28 EDT
(In reply to François Kooman from comment #6)
> It seems rubygem-jekyll is already in Fedora (24)?

Apparently this was duplicated by bug 1368851 :/ But there is no point in keeping this open now.

@John Heidemann: could you please apply for co-maintaner on Jekyll if you are still interested in helping. You can follow this guide:

https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group#Become_a_co-maintainer

besser82 can even sponsor you.


> It doesn't really seem to
> work though.
> 
> rubygem-jekyll-3.2.1-1.fc24.noarch
> 
> Running it:
> 
> [fkooman@fralen ~]$ jekyll new foo
> New jekyll site installed in /home/fkooman/foo. 
> [fkooman@fralen ~]$ cd foo/
> [fkooman@fralen foo]$ jekyll serve
> /usr/share/gems/gems/bundler-1.10.6/lib/bundler/resolver.rb:347:in `block in
> verify_gemfile_dependencies_are_found!': Could not find gem 'minima (>= 0)
> ruby' in any of the gem sources listed in your Gemfile or available on this
> machine. (Bundler::GemNotFound)

Could you please report this in separate ticket? As a workaround "gem install minima" should help.

*** This bug has been marked as a duplicate of bug 1368851 ***
Comment 8 John Heidemann 2016-10-18 15:20:38 EDT
I hope to be a very happy user of besser82's jekyll packages if he wants to maintain it.
Comment 9 John Heidemann 2016-10-18 15:23:25 EDT
It's not clear that the packages at https://bugzilla.redhat.com/show_bug.cgi?id=1368851

include all of the extensions listed above (in particular: rubygem-jekyll-scholar and its dependencies).

I guess that is a new ticket?
Comment 10 Vít Ondruch 2016-10-19 06:07:13 EDT
(In reply to John Heidemann from comment #9)
> It's not clear that the packages at
> https://bugzilla.redhat.com/show_bug.cgi?id=1368851
> 
> include all of the extensions listed above (in particular:
> rubygem-jekyll-scholar and its dependencies).
> 
> I guess that is a new ticket?

You are right, rubygem-jekyll-scholar is not yet in Fedora. If you want to get it in, please open new ticket. If it has some missing dependencies, then please open separate ticket for each of the dependencies.

Note You need to log in before you can comment on or make changes to this bug.